| 0.9.8

- Main Page
- Modules
- Files

- File List

Functions
round.hpp File Reference

Go to the source code of this file.

## Functions
template<typename genType >
GLM_FUNC_DECL genType | ceilMultiple (genType Source, genType Multiple)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | ceilMultiple (vecType< T, P > const &Source, vecType< T, P > const &Multiple)
template<typename genIUType >
GLM_FUNC_DECL genIUType | ceilPowerOfTwo (genIUType Value)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | ceilPowerOfTwo (vecType< T, P > const &value)
template<typename genType >
GLM_FUNC_DECL genType | floorMultiple (genType Source, genType Multiple)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | floorMultiple (vecType< T, P > const &Source, vecType< T, P > const &Multiple)
template<typename genIUType >
GLM_FUNC_DECL genIUType | floorPowerOfTwo (genIUType Value)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | floorPowerOfTwo (vecType< T, P > const &value)
template<typename genIUType >
GLM_FUNC_DECL bool | isMultiple (genIUType Value, genIUType Multiple)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< bool, P > | isMultiple (vecType< T, P > const &Value, T Multiple)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< bool, P > | isMultiple (vecType< T, P > const &Value, vecType< T, P > const &Multiple)
template<typename genIUType >
GLM_FUNC_DECL bool | isPowerOfTwo (genIUType Value)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< bool, P > | isPowerOfTwo (vecType< T, P > const &value)
template<typename genType >
GLM_FUNC_DECL genType | roundMultiple (genType Source, genType Multiple)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | roundMultiple (vecType< T, P > const &Source, vecType< T, P > const &Multiple)
template<typename genIUType >
GLM_FUNC_DECL genIUType | roundPowerOfTwo (genIUType Value)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | roundPowerOfTwo (vecType< T, P > const &value)

## Detailed Description

GLM_GTC_round

See also
  GLM Core (dependence)
  GLM_GTC_round (dependence)

Definition in file round.hpp.